Package org.codehaus.groovy.control.customizers.builder

# Class CustomizersFactory

java.lang.Object
groovy.util.AbstractFactory
org.codehaus.groovy.control.customizers.builder.CustomizersFactory

All Implemented Interfaces:
  `Factory`, `PostCompletionFactory`

public class CustomizersFactory extends AbstractFactory implements PostCompletionFactory
This factory generates an array of compilation customizers.

Since:
  2.1.0
Author:
  Cedric Champeau

## Constructor Summary

Constructors
Constructor
Description
`CustomizersFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`Object`
`postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)`
`void`
`setChild(FactoryBuilderSupport builder, Object parent, Object child)`

### Methods inherited from class groovy.util.AbstractFactory

`isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomizersFactory

public CustomizersFactory()

## Method Details

### newInstance

public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes) throws InstantiationException, IllegalAccessException

Specified by:
  `newInstance` in interface `Factory`
Parameters:
  `builder` - the FactoryBuilder
  `name` - the name of the node being built
  `value` - the 'value' argument in the build node
  `attributes` - the attributes of the build arg
Returns:
  the object created for the builder
Throws:
  `InstantiationException` - if attempting to instantiate an interface or abstract class
  `IllegalAccessException` - if the instance can't be created due to a security violation

### setChild

public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Specified by:
  `setChild` in interface `Factory`
Overrides:
  `setChild` in class `AbstractFactory`

### postCompleteNode

public Object postCompleteNode(FactoryBuilderSupport factory, Object parent, Object node)

Specified by:
  `postCompleteNode` in interface `PostCompletionFactory`